<template>
  <div class="auctions-list">
    <h1>Open Auctions</h1>
    <table class="table table-bordered">
      <thead>
        <tr>
          <th>Description</th>
          <th>Price</th>
          <th>Closing Date</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="auction in auctions" :key="auction.id">
          <td>{{auction.description}}</td>
          <td>{{auction.price}}</td>
          <td>{{auction.closing_date}}</td>
          <td><router-link v-bind:id="'elem-'+auction.id" :to="{ name: 'auction', params: {id: auction.id}}">Select</router-link></td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>
  import axios from "axios";

  export default{
    data: function(){
      return {
        auctions: []
      }
    },
    methods: {
      getAuctions: function(){
        axios.get("/api/auctions")
          .then(response => {
              console.log(response);
              this.auctions = response.data.auctions;
          })
          .catch(error => {
              console.log(error);
          });
      }
    },
    mounted: function(){
      this.getAuctions()
    }
  }

</script>
